CREATE OR REPLACE VIEW public.application_summary_v AS 
 SELECT app_sum.application,
    app_sum.snapshot,
    app_sum.account_count - (( SELECT count(DISTINCT saccount.id) AS count
           FROM saccount
          WHERE saccount.virtual <> false AND saccount.deleted = false AND saccount.application = app_sum.application)) AS account_count,
    app_sum.permission_count,
    app_sum.dangling_account_count AS unmapped_accounts,
    app_sum.shared_account_count
   FROM application_summary app_sum
     JOIN ( SELECT max(apps.snapshot) AS max_snap
           FROM application_summary apps) max_snapshot ON max_snapshot.max_snap = app_sum.snapshot;

ALTER TABLE public.application_summary_v
  OWNER TO igops;
GRANT ALL ON TABLE public.application_summary_v TO igops;
GRANT SELECT ON TABLE public.application_summary_v TO ig_report_role;
